.ssh_before_script: &ssh_before_script
    - 'which ssh-agent || ( apk add openssh-client )'
    - mkdir -p ~/.ssh
    - eval $(ssh-agent -s)
    - '[[ -f /.dockerenv ]] && echo -e "Host *\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config'

upload:
  image: alpine
  before_script:
    - *ssh_before_script
  script:
    - ssh-add <(echo "$SSH_PRIVATE_KEY")
    - scp -r ./* $USER@$HOST:/home/ubuntu/$CI_PROJECT_NAME/
    - ssh $USER@$HOST "cd /home/ubuntu/$CI_PROJECT_NAME/ && docker-compose up -d"